--
-- Mod: FS19_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersForageCrops by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.2.3.7 Compatible with Seasons
-- 30.11.2018 - 21.05.2020

RealNumbersForageCrops = {};

function RealNumbersForageCrops:loadMap(name)
	print("\nFS19_RealLifeNumbers: RealNumbersForageCrops active\n")

	local massScale = 1000;	
	
-- Bale prices

	RN.forageCost = {};

	RN.forageCost.grassRoundBalePrice  				= 37; -- €/round bale
	RN.forageCost.drygrassRoundBalePrice  			= 31;
	RN.forageCost.grassSilageRoundBalePrice 		= 38;
	RN.forageCost.strawRoundBalePrice  				= 15;
	RN.forageCost.alfalfaRoundBalePrice 			= 37;
	RN.forageCost.dryalfalfaRoundBalePrice  		= 60;
	RN.forageCost.alfalfaSilageRoundBalePrice		= 38;
	RN.forageCost.cloverRoundBalePrice  			= 37;
	RN.forageCost.drycloverRoundBalePrice   		= 31;
	RN.forageCost.cloverSilageRoundBalePrice		= 38;

	RN.forageCost.grassSquareBalePrice  			= 65;
	RN.forageCost.drygrassSquareBalePrice  			= 53;
	RN.forageCost.grassSilageSquareBalePrice		= 65;
	RN.forageCost.strawSquareBalePrice  			= 26;
	RN.forageCost.alfalfaSquareBalePrice			= 65;
	RN.forageCost.dryalfalfaSquareBalePrice 		= 104;
	RN.forageCost.alfalfaSilageSquareBalePrice		= 65;
	RN.forageCost.cloverSquareBalePrice 			= 65;
	RN.forageCost.drycloverSquareBalePrice 			= 53;
	RN.forageCost.cloverSilageSquareBalePrice		= 65;	

-- ALFALFA fresh bales per ha


	RN.growth.alfalfaMassPerHa         		= RN.growth.alfalfaDryMatterMassPerHa/RN.growth.alfalfaDryMatterFraction;
	RN.growth.alfalfaBaleDensity  			= RN.forageDensity.ALFALFA;
	RN.growth.alfalfaVolumePerHa 			= RN.growth.alfalfaMassPerHa/RN.growth.alfalfaBaleDensity;
	RN.growth.alfalfaNetVolumePerHa    		= (1 - RN.growth.windrowLoss) * RN.growth.alfalfaVolumePerHa;
	RN.growth.alfalfaRoundBaleVolume        = RN.roundBale.volume;
	RN.growth.alfalfaSquareBaleVolume       = RN.squareBale.volume;
	RN.growth.alfalfaRoundBaleMass			= RN.growth.alfalfaBaleDensity * RN.growth.alfalfaRoundBaleVolume;
	RN.growth.alfalfaRoundBalesPerHa        = RN.growth.alfalfaNetVolumePerHa/RN.growth.alfalfaRoundBaleVolume;
	RN.growth.alfalfaSquareBaleMass			= RN.growth.alfalfaBaleDensity * RN.growth.alfalfaSquareBaleVolume;
	RN.growth.alfalfaSquareBalesPerHa       = RN.growth.alfalfaNetVolumePerHa/RN.growth.alfalfaSquareBaleVolume;

-- Clover fresh bales per ha


	RN.growth.cloverMassPerHa         		= RN.growth.cloverDryMatterMassPerHa/RN.growth.cloverDryMatterFraction;
	RN.growth.cloverBaleDensity  			= RN.forageDensity.CLOVER;
	RN.growth.cloverVolumePerHa 			= RN.growth.cloverMassPerHa/RN.growth.cloverBaleDensity;
	RN.growth.cloverNetVolumePerHa    		= (1 - RN.growth.windrowLoss) * RN.growth.cloverVolumePerHa;
	RN.growth.cloverRoundBaleVolume         = RN.roundBale.volume;
	RN.growth.cloverSquareBaleVolume        = RN.squareBale.volume;
	RN.growth.cloverRoundBaleMass			= RN.growth.cloverBaleDensity * RN.growth.cloverRoundBaleVolume;
	RN.growth.cloverRoundBalesPerHa         = RN.growth.cloverNetVolumePerHa/RN.growth.cloverRoundBaleVolume;
	RN.growth.cloverSquareBaleMass			= RN.growth.cloverBaleDensity * RN.growth.cloverSquareBaleVolume;
	RN.growth.cloverSquareBalesPerHa        = RN.growth.cloverNetVolumePerHa/RN.growth.cloverSquareBaleVolume;

--GRASS bales per ha


	RN.growth.grassMassPerHa         		= RN.growth.grassDryMatterMassPerHa/RN.growth.grassDryMatterFraction;
	RN.growth.grassBaleDensity  			= RN.forageDensity.GRASS;
	RN.growth.grassVolumePerHa 				= RN.growth.grassMassPerHa/RN.growth.grassBaleDensity;
	RN.growth.grassNetVolumePerHa    		= (1 - RN.growth.windrowLoss) * RN.growth.grassVolumePerHa;
	RN.growth.grassRoundBaleVolume        	= RN.roundBale.volume;
	RN.growth.grassSquareBaleVolume        	= RN.squareBale.volume;
	RN.growth.grassRoundBaleMass			= RN.growth.grassBaleDensity * RN.growth.grassRoundBaleVolume;
	RN.growth.grassRoundBalesPerHa        	= RN.growth.grassNetVolumePerHa/RN.growth.grassRoundBaleVolume;
	RN.growth.grassSquareBaleMass			= RN.growth.grassBaleDensity * RN.growth.grassSquareBaleVolume;
	RN.growth.grassSquareBalesPerHa        	= RN.growth.grassNetVolumePerHa/RN.growth.grassSquareBaleVolume;

--dryalfalfa bales per ha


	RN.growth.dryalfalfaMassPerHa         	= RN.growth.alfalfaDryMatterMassPerHa/RN.growth.dryalfalfaDryMatterFraction;
	RN.growth.dryalfalfaBaleDensity  		= RN.forageDensity.DRYALFALFA;
	RN.growth.dryalfalfaVolumePerHa 		= RN.growth.dryalfalfaMassPerHa/RN.growth.dryalfalfaBaleDensity;
	RN.growth.dryalfalfaNetVolumePerHa    	= (1 - RN.growth.tedderLoss - RN.growth.windrowLoss) * RN.growth.dryalfalfaVolumePerHa;
	RN.growth.dryalfalfaRoundBaleVolume     = RN.roundBale.volume;
	RN.growth.dryalfalfaSquareBaleVolume    = RN.squareBale.volume;
	RN.growth.dryalfalfaRoundBaleMass		= RN.growth.dryalfalfaBaleDensity * RN.growth.dryalfalfaRoundBaleVolume;
	RN.growth.dryalfalfaRoundBalesPerHa     = RN.growth.dryalfalfaNetVolumePerHa/RN.growth.dryalfalfaRoundBaleVolume;
	RN.growth.dryalfalfaSquareBaleMass		= RN.growth.dryalfalfaBaleDensity * RN.growth.dryalfalfaSquareBaleVolume;
	RN.growth.dryalfalfaSquareBalesPerHa    = RN.growth.dryalfalfaNetVolumePerHa/RN.growth.dryalfalfaSquareBaleVolume;
	
--dryclover bales per ha


	RN.growth.drycloverMassPerHa         	= RN.growth.cloverDryMatterMassPerHa/RN.growth.drycloverDryMatterFraction;
	RN.growth.drycloverBaleDensity  		= RN.forageDensity.DRYCLOVER;
	RN.growth.drycloverVolumePerHa 			= RN.growth.drycloverMassPerHa/RN.growth.drycloverBaleDensity;
	RN.growth.drycloverNetVolumePerHa    	= (1 - RN.growth.tedderLoss - RN.growth.windrowLoss) * RN.growth.drycloverVolumePerHa;
	RN.growth.drycloverRoundBaleVolume      = RN.roundBale.volume;
	RN.growth.drycloverSquareBaleVolume     = RN.squareBale.volume;
	RN.growth.drycloverRoundBaleMass		= RN.growth.drycloverBaleDensity * RN.growth.drycloverRoundBaleVolume;
	RN.growth.drycloverRoundBalesPerHa      = RN.growth.drycloverNetVolumePerHa/RN.growth.drycloverRoundBaleVolume;
	RN.growth.drycloverSquareBaleMass		= RN.growth.drycloverBaleDensity * RN.growth.drycloverSquareBaleVolume;
	RN.growth.drycloverSquareBalesPerHa     = RN.growth.drycloverNetVolumePerHa/RN.growth.drycloverSquareBaleVolume;
	
--drygrass bales per ha


	RN.growth.drygrassMassPerHa         	= RN.growth.grassDryMatterMassPerHa/RN.growth.drygrassDryMatterFraction;
	RN.growth.drygrassBaleDensity  			= RN.forageDensity.DRYGRASS;
	RN.growth.drygrassVolumePerHa 			= RN.growth.drygrassMassPerHa/RN.growth.drygrassBaleDensity;
	RN.growth.drygrassNetVolumePerHa    	= (1 - RN.growth.tedderLoss - RN.growth.windrowLoss) * RN.growth.drygrassVolumePerHa;
	RN.growth.drygrassRoundBaleVolume       = RN.roundBale.volume;
	RN.growth.drygrassSquareBaleVolume      = RN.squareBale.volume;
	RN.growth.drygrassRoundBaleMass			= RN.growth.drygrassBaleDensity * RN.growth.drygrassRoundBaleVolume;
	RN.growth.drygrassRoundBalesPerHa       = RN.growth.drygrassNetVolumePerHa/RN.growth.drygrassRoundBaleVolume;
	RN.growth.drygrassSquareBaleMass		= RN.growth.drygrassBaleDensity * RN.growth.drygrassSquareBaleVolume;
	RN.growth.drygrassSquareBalesPerHa      = RN.growth.drygrassNetVolumePerHa/RN.growth.drygrassSquareBaleVolume;
	
--alfalfa silage bales per ha


	RN.growth.alfalfaSilageMassPerHa         	= RN.growth.alfalfaDryMatterMassPerHa/RN.growth.alfalfaSilageDryMatterFraction;
	RN.growth.alfalfaSilageBaleDensity  		= RN.forageDensity.ALFALFASILAGE;
	RN.growth.alfalfaSilageVolumePerHa 			= RN.growth.alfalfaSilageMassPerHa/RN.growth.alfalfaSilageBaleDensity;
	RN.growth.alfalfaSilageNetVolumePerHa    	= (1 - RN.growth.windrowLoss) * RN.growth.alfalfaSilageVolumePerHa;
	RN.growth.alfalfaSilageRoundBaleVolume    	= RN.roundBale.volume;
	RN.growth.alfalfaSilageSquareBaleVolume   	= RN.squareBale.volume;
	RN.growth.alfalfaSilageRoundBaleMass		= RN.growth.alfalfaSilageBaleDensity * RN.growth.alfalfaSilageRoundBaleVolume;
	RN.growth.alfalfaSilageRoundBalesPerHa    	= RN.growth.alfalfaSilageNetVolumePerHa/RN.growth.alfalfaSilageRoundBaleVolume;
	RN.growth.alfalfaSilageSquareBaleMass		= RN.growth.alfalfaSilageBaleDensity * RN.growth.alfalfaSilageSquareBaleVolume;
	RN.growth.alfalfaSilageSquareBalesPerHa   	= RN.growth.alfalfaSilageNetVolumePerHa/RN.growth.alfalfaSilageSquareBaleVolume;

--clover silage bales per ha


	RN.growth.cloverSilageMassPerHa         	= RN.growth.cloverDryMatterMassPerHa/RN.growth.cloverSilageDryMatterFraction;
	RN.growth.cloverSilageBaleDensity  			= RN.forageDensity.CLOVERSILAGE;
	RN.growth.cloverSilageVolumePerHa 			= RN.growth.cloverSilageMassPerHa/RN.growth.cloverSilageBaleDensity;
	RN.growth.cloverSilageNetVolumePerHa    	= (1 - RN.growth.windrowLoss) * RN.growth.cloverSilageVolumePerHa;
	RN.growth.cloverSilageRoundBaleVolume    	= RN.roundBale.volume;
	RN.growth.cloverSilageSquareBaleVolume   	= RN.squareBale.volume;
	RN.growth.cloverSilageRoundBaleMass			= RN.growth.cloverSilageBaleDensity * RN.growth.cloverSilageRoundBaleVolume;
	RN.growth.cloverSilageRoundBalesPerHa    	= RN.growth.cloverSilageNetVolumePerHa/RN.growth.cloverSilageRoundBaleVolume;
	RN.growth.cloverSilageSquareBaleMass		= RN.growth.cloverSilageBaleDensity * RN.growth.cloverSilageSquareBaleVolume;
	RN.growth.cloverSilageSquareBalesPerHa   	= RN.growth.cloverSilageNetVolumePerHa/RN.growth.cloverSilageSquareBaleVolume;

--grass silage bales per ha

	RN.growth.grassSilageMassPerHa         	= RN.growth.grassDryMatterMassPerHa/RN.growth.grassSilageDryMatterFraction;
	RN.growth.grassSilageBaleDensity  		= RN.forageDensity.SILAGE;
	RN.growth.grassSilageVolumePerHa 		= RN.growth.grassSilageMassPerHa/RN.growth.grassSilageBaleDensity;
	RN.growth.grassSilageNetVolumePerHa    	= (1 - RN.growth.windrowLoss) * RN.growth.grassSilageVolumePerHa;
	RN.growth.grassSilageRoundBaleVolume    = RN.roundBale.volume;
	RN.growth.grassSilageSquareBaleVolume   = RN.squareBale.volume;
	RN.growth.grassSilageRoundBaleMass		= RN.growth.grassSilageBaleDensity * RN.growth.grassSilageRoundBaleVolume;
	RN.growth.grassSilageRoundBalesPerHa    = RN.growth.grassSilageNetVolumePerHa/RN.growth.grassSilageRoundBaleVolume;
	RN.growth.grassSilageSquareBaleMass		= RN.growth.grassSilageBaleDensity * RN.growth.grassSilageSquareBaleVolume;
	RN.growth.grassSilageSquareBalesPerHa   = RN.growth.grassSilageNetVolumePerHa/RN.growth.grassSilageSquareBaleVolume;

--straw bales per ha

	RN.growth.strawMassPerHa         		= RN.strawYieldFactor * RN.cropYield["WHEAT"] * 100; --kg/ha
	RN.growth.strawBaleDensity  			= RN.forageDensity.STRAW;
	RN.growth.strawVolumePerHa 				= RN.growth.strawMassPerHa/RN.growth.strawBaleDensity;
	RN.growth.strawNetVolumePerHa    		= (1 - RN.growth.windrowLoss) * RN.growth.strawVolumePerHa;
	RN.growth.strawRoundBaleVolume    		= RN.roundBale.volume;
	RN.growth.strawSquareBaleVolume   		= RN.squareBale.volume;
	RN.growth.strawRoundBaleMass			= RN.growth.strawBaleDensity * RN.growth.strawRoundBaleVolume;
	RN.growth.strawRoundBalesPerHa    		= RN.growth.strawNetVolumePerHa/RN.growth.strawRoundBaleVolume;
	RN.growth.strawSquareBaleMass			= RN.growth.strawBaleDensity * RN.growth.strawSquareBaleVolume;
	RN.growth.strawSquareBalesPerHa   		= RN.growth.strawNetVolumePerHa/RN.growth.strawSquareBaleVolume;
	

--FORAGE price per 100 kg

	RN.forageCost.grassPricePer100kg			= 100 * RN.forageCost.grassRoundBalePrice/RN.growth.grassRoundBaleMass;
	RN.forageCost.grassSilagePricePer100kg		= 100 * RN.forageCost.grassSilageRoundBalePrice/RN.growth.grassSilageRoundBaleMass;
	RN.forageCost.drygrassPricePer100kg			= 100 * RN.forageCost.drygrassRoundBalePrice/RN.growth.drygrassRoundBaleMass;
	RN.forageCost.strawPricePer100kg        	= 100*	RN.forageCost.strawRoundBalePrice/RN.growth.strawRoundBaleMass;
	RN.forageCost.alfalfaPricePer100kg			= 100 * RN.forageCost.alfalfaRoundBalePrice/RN.growth.alfalfaRoundBaleMass;
	RN.forageCost.alfalfaSilagePricePer100kg	= 100 * RN.forageCost.alfalfaSilageRoundBalePrice/RN.growth.alfalfaSilageRoundBaleMass;
	RN.forageCost.dryalfalfaPricePer100kg		= 100 * RN.forageCost.dryalfalfaRoundBalePrice/RN.growth.dryalfalfaRoundBaleMass;
	RN.forageCost.cloverPricePer100kg			= 100 * RN.forageCost.cloverRoundBalePrice/RN.growth.cloverRoundBaleMass;
	RN.forageCost.cloverSilagePricePer100kg		= 100 * RN.forageCost.cloverSilageRoundBalePrice/RN.growth.cloverSilageRoundBaleMass;
	RN.forageCost.drycloverPricePer100kg		= 100 * RN.forageCost.drycloverRoundBalePrice/RN.growth.drycloverRoundBaleMass;

	
--FORAGE price per 1000 Liter

	RN.forageCost.grassPricePer1000L			= 1000 * RN.forageCost.grassRoundBalePrice/RN.growth.grassRoundBaleVolume;
	RN.forageCost.drygrassPricePer1000L			= 1000 * RN.forageCost.drygrassRoundBalePrice/RN.growth.drygrassRoundBaleVolume;
	RN.forageCost.grassSilagePricePer1000L		= 1000 * RN.forageCost.grassSilageRoundBalePrice/RN.growth.grassSilageRoundBaleVolume;
	RN.forageCost.strawPricePer1000L        	= 1000 * RN.forageCost.strawRoundBalePrice/RN.roundBale.volume;
	RN.forageCost.alfalfaPricePer1000L			= 1000 * RN.forageCost.alfalfaRoundBalePrice/RN.growth.alfalfaRoundBaleVolume;
	RN.forageCost.dryalfalfaPricePer1000L		= 1000 * RN.forageCost.dryalfalfaRoundBalePrice/RN.growth.dryalfalfaRoundBaleVolume;
	RN.forageCost.alfalfaSilagePricePer1000L	= 1000 * RN.forageCost.alfalfaSilageRoundBalePrice/RN.growth.alfalfaSilageRoundBaleVolume;
	RN.forageCost.cloverPricePer1000L			= 1000 * RN.forageCost.cloverRoundBalePrice/RN.growth.cloverRoundBaleVolume;
	RN.forageCost.drycloverPricePer1000L		= 1000 * RN.forageCost.drycloverRoundBalePrice/RN.growth.drycloverRoundBaleVolume;
	RN.forageCost.cloverSilagePricePer1000L		= 1000 * RN.forageCost.cloverSilageRoundBalePrice/RN.growth.cloverSilageRoundBaleVolume;


--FORAGE definitions

-- ALFALFA = LUCERNE = LUZERNE, different names, different spellings, but same crop

	RN.fruits.ALFALFA 						= "ALFALFA";-- Lucerne
	RN.cropDensity.ALFALFA 					= RN.growth.alfalfaBaleDensity;		-- kg/L
	RN.cropYield.ALFALFA  					= RN.growth.alfalfaMassPerHa/100; 	-- GEO EU 100 kg/ha
	RN.yieldRange.ALFALFA  					= 0.177		-- GEO EU
	RN.seedDensity.ALFALFA  				= 0.737;	-- kg/L
	RN.TSM.ALFALFA  						= 2;		-- 1000 seed mass			Source: AGRI-FACTS 2018 Agdex 100/22-1 Using 1000 Kernel weight...
	RN.plantsPerSqm.ALFALFA  				= 1000;		-- number of plants per sqm 360  175 - 550,  UK 1120
	RN.germination.ALFALFA  				= 80;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.ALFALFA 				= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown :20-37 kg/ha
	RN.seedPricePer100kg.ALFALFA  			= 655;		-- GEO DE, price / 100 kg 46   Manitoba; UK 6.55 €/kg
	RN.cropPricePer100kg.ALFALFA  			= RN.forageCost.alfalfaPricePer100kg;	-- GEO DE,  price / 100 kg
	RN.seederCalibration.ALFALFA  			= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.ALFALFA						=   0;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.ALFALFA					=  80;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.ALFALFA					= 250;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.ALFALFA			= 74;		-- UK: 74; Ontario: 24;
	RN.growthDays.ALFALFA					= 40;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.ALFALFA				= RN.fieldWorkCost.ALFALFA;

	RN.fruits.DRYALFALFA 					= "DRYALFALFA";-- Lucerne
	RN.cropDensity.DRYALFALFA 				= RN.growth.dryalfalfaBaleDensity;		-- kg/L
	RN.cropYield.DRYALFALFA  				= RN.growth.dryalfalfaMassPerHa/100; 	-- GEO EU 100 kg/ha
	RN.yieldRange.DRYALFALFA  				= 0.177		-- GEO EU
	RN.seedDensity.DRYALFALFA  				= 0.737;	-- kg/L
	RN.TSM.DRYALFALFA  						= 2;		-- 1000 seed mass
	RN.plantsPerSqm.DRYALFALFA  			= 1000;		-- number of plants per sqm 175 - 550,  UK 1120
	RN.germination.DRYALFALFA  				= 80;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.DRYALFALFA 			= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown :20-37 kg/ha
	RN.seedPricePer100kg.DRYALFALFA  		= 655;		-- GEO DE, price / 100 kg 46	Manitoba
	RN.cropPricePer100kg.DRYALFALFA  		= RN.forageCost.dryalfalfaPricePer100kg;	-- GEO DE,  price / 100 kg
	RN.seederCalibration.DRYALFALFA  		= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.DRYALFALFA					=   0;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.DRYALFALFA					=  80;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.DRYALFALFA					= 250;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.DRYALFALFA		= 74;		-- UK: 74; Ontario: 24;
	RN.growthDays.DRYALFALFA				= 40;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.DRYALFALFA				= RN.fieldWorkCost.ALFALFA; -- no harvest or baling

	RN.fruits.LUCERNE 						= "LUCERNE";-- Lucerne
	RN.cropDensity.LUCERNE 					= RN.growth.alfalfaBaleDensity;		-- kg/L
	RN.cropYield.LUCERNE  					= RN.growth.alfalfaMassPerHa/100; 	-- GEO EU 100 kg/ha 198.12
	RN.yieldRange.LUCERNE  					= 0.177		-- GEO EU
	RN.seedDensity.LUCERNE  				= 0.737;	-- kg/L
	RN.TSM.LUCERNE  						= 2;		-- 1000 seed mass
	RN.plantsPerSqm.LUCERNE  				= 1100;		-- number of plants per sqm 360 175 - 550,  UK 1120
	RN.germination.LUCERNE  				= 80;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.LUCERNE 				= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown :20-37 kg/ha
	RN.seedPricePer100kg.LUCERNE  			= 655;		-- GEO DE, price / 100 kg
	RN.cropPricePer100kg.LUCERNE  			= RN.forageCost.alfalfaPricePer100kg;	-- GEO DE,  price / 100 kg 16.69
	RN.seederCalibration.LUCERNE  			= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.LUCERNE						=   0;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.LUCERNE					=  80;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.LUCERNE					= 250;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.LUCERNE			= 74;		-- UK: 74; Ontario: 24;
	RN.growthDays.LUCERNE					= 40;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.LUCERNE				= RN.fieldWorkCost.ALFALFA;

	RN.fruits.LUZERNE 						= "LUZERNE";-- Lucerne
	RN.cropDensity.LUZERNE 					= RN.growth.alfalfaBaleDensity;		-- kg/L
	RN.cropYield.LUZERNE  					= RN.growth.alfalfaMassPerHa/100; 	-- GEO EU 100 kg/ha 198.12
	RN.yieldRange.LUZERNE  					= 0.177		-- GEO EU
	RN.seedDensity.LUZERNE  				= 0.737;	-- kg/L
	RN.TSM.LUZERNE  						= 2;		-- 1000 seed mass
	RN.plantsPerSqm.LUZERNE  				= 1100;		-- number of plants per sqm 360,  175 - 550,  UK 1120
	RN.germination.LUZERNE  				= 80;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.LUZERNE 				= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown :20-37 kg/ha
	RN.seedPricePer100kg.LUZERNE  			= 655;		-- GEO DE, price / 100 kg 46
	RN.cropPricePer100kg.LUZERNE  			= RN.forageCost.alfalfaPricePer100kg;	-- GEO DE,  price / 100 kg 16.69
	RN.seederCalibration.LUZERNE  			= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.LUZERNE						=   0;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.LUZERNE					=  80;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.LUZERNE					= 250;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.LUZERNE			= 74;		-- UK: 74; Ontario: 24;
	RN.growthDays.LUZERNE					= 40;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.LUCERNE				= RN.fieldWorkCost.ALFALFA;

	RN.fruits.DRYLUCERNE 					= "DRYLUCERNE";-- Lucerne
	RN.cropDensity.DRYLUCERNE 				= RN.growth.dryalfalfaBaleDensity;	 -- kg/L
	RN.cropYield.DRYLUCERNE  				= RN.growth.dryalfalfaMassPerHa/100; -- GEO EU 100 kg/ha
	RN.yieldRange.DRYLUCERNE  				= 0.177		-- GEO EU
	RN.seedDensity.DRYLUCERNE  				= 0.737;	-- kg/L
	RN.TSM.DRYLUCERNE  						= 2;		-- 1000 seed mass
	RN.plantsPerSqm.DRYLUCERNE  			= 1100;		-- number of plants per sqm 175 - 550,  UK 1120
	RN.germination.DRYLUCERNE  				= 80;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.DRYLUCERNE 			= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown :20-37 kg/ha
	RN.seedPricePer100kg.DRYLUCERNE  		= 609.00;	-- GEO DE, price / 100 kg
	RN.cropPricePer100kg.DRYLUCERNE  		= RN.forageCost.dryalfalfaPricePer100kg;	-- GEO DE,  price / 100 kg
	RN.seederCalibration.DRYLUCERNE  		= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.DRYLUCERNE					=   0;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.DRYLUCERNE					=  80;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.DRYLUCERNE					= 250;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.DRYLUCERNE		= 74;		-- UK: 74; Ontario: 24;
	RN.growthDays.DRYLUCERNE				= 40;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.DRYLUCERNE				= RN.fieldWorkCost.ALFALFA;	-- no harvest

	RN.fruits.DRYLUZERNE 					= "DRYLUZERNE";-- Lucerne
	RN.cropDensity.DRYLUZERNE 				= RN.growth.dryalfalfaBaleDensity;	 -- kg/L
	RN.cropYield.DRYLUZERNE  				= RN.growth.dryalfalfaMassPerHa/100; -- GEO EU 100 kg/ha
	RN.yieldRange.DRYLUZERNE  				= 0.177		-- GEO EU
	RN.seedDensity.DRYLUZERNE  				= 0.737;	-- kg/L
	RN.TSM.DRYLUZERNE  						= 2;		-- 1000 seed mass
	RN.plantsPerSqm.DRYLUZERNE  			= 1100;		-- number of plants per sqm 175 - 550,  UK 1120
	RN.germination.DRYLUZERNE  				= 80;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.DRYLUZERNE 			= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown :20-37 kg/ha
	RN.seedPricePer100kg.DRYLUZERNE  		= 609.00;	-- GEO DE, price / 100 kg
	RN.cropPricePer100kg.DRYLUZERNE  		= RN.forageCost.dryalfalfaPricePer100kg;	-- GEO DE,  price / 100 kg
	RN.seederCalibration.DRYLUZERNE  		= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.DRYLUZERNE					=   0;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.DRYLUZERNE					=  80;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.DRYLUZERNE					= 250;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.DRYLUZERNE		= 74;		-- UK: 74; Ontario: 24;
	RN.growthDays.DRYLUZERNE				= 40;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.DRYLUZERNE				= RN.fieldWorkCost.ALFALFA;	-- no harvest

	RN.fruits.CLOVER  						= "CLOVER"; -- White clover
	RN.cropDensity.CLOVER 					= RN.growth.cloverBaleDensity;		-- kg/L
	RN.cropYield.CLOVER  					= RN.growth.cloverMassPerHa/100;  	-- 100 kg/ha,  165.8;
	RN.yieldRange.CLOVER  					= 0.153;	-- GEO COM
	RN.seedDensity.CLOVER  					= 0.641;	-- kg/L
	RN.TSM.CLOVER  							= 0.58;		-- 1000 seed mass
	RN.plantsPerSqm.CLOVER  				= 1350;		-- number of plants per sqm		DK: 1350; Alberta: 750
	RN.germination.CLOVER  					= 90;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.CLOVER 				= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown
	RN.seedPricePer100kg.CLOVER  			= 233.00;	-- GEO COM, price / 100 kg
	RN.cropPricePer100kg.CLOVER  			= RN.forageCost.cloverPricePer100kg;		-- GEO Com, price / 100 kg, 
	RN.seederCalibration.CLOVER  			= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.CLOVER						= 289;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.CLOVER						= 40;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.CLOVER						= 250;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.CLOVER			= 25;		-- DK: 25; Ontario: -;
	RN.growthDays.CLOVER					= 60;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.CLOVER					= RN.fieldWorkCost.CLOVER;	-- no harvest

	RN.fruits.DRYCLOVER  					= "DRYCLOVER"; -- White clover
	RN.cropDensity.DRYCLOVER 				= RN.growth.drycloverBaleDensity;		-- kg/L
	RN.cropYield.DRYCLOVER  				= RN.growth.drycloverMassPerHa/100;  	-- 100 kg/ha,  165.8;
	RN.yieldRange.DRYCLOVER  				= 0.153;	-- GEO COM
	RN.seedDensity.DRYCLOVER  				= 0.641;	-- kg/L
	RN.TSM.DRYCLOVER  						= 0.58;		-- 1000 seed mass
	RN.plantsPerSqm.DRYCLOVER  				= 1350;		-- number of plants per sqm		DK: 1350; Alberta: 750
	RN.germination.DRYCLOVER  				= 90;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.DRYCLOVER 			= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown
	RN.seedPricePer100kg.DRYCLOVER  		= 233.00;	-- GEO COM, price / 100 kg
	RN.cropPricePer100kg.DRYCLOVER  		= RN.forageCost.drycloverPricePer100kg;		-- GEO Com, price / 100 kg, 
	RN.seederCalibration.DRYCLOVER  		= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.DRYCLOVER					= 289;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.DRYCLOVER					= 40;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.DRYCLOVER					= 250;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.DRYCLOVER			= 25;		-- DK: 25; Ontario: -;
	RN.growthDays.DRYCLOVER					= 60;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.DRYCLOVER				= RN.fieldWorkCost.CLOVER;	-- no harvest

	RN.fruits.GRASS  						= "GRASS";
	RN.cropDensity.GRASS 					= RN.growth.grassBaleDensity;	-- kg/L
	RN.cropYield.GRASS  					= RN.growth.grassMassPerHa/100; 	-- GEO DE,100 kg/ha (165.8)
	RN.yieldRange.GRASS  					= 0.153;	-- GEO DE
	RN.seedDensity.GRASS  					= 0.31;	-- kg/L
	RN.TSM.GRASS  							= 1.4;		-- 1000 seed mass
	RN.plantsPerSqm.GRASS  					= 550;		-- number of plants per sqm
	RN.germination.GRASS  					= 90;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.GRASS 				= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown
	RN.seedPricePer100kg.GRASS  			= 720.00;	-- GEO DE, price / 100 kg	DK: 720; Manitoba: 200
	RN.cropPricePer100kg.GRASS  			= RN.forageCost.grassPricePer100kg; -- GEO DE, price / 100 kg (5.00)
	RN.seederCalibration.GRASS  			= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.GRASS						= 170;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.GRASS						= 23;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.GRASS						= 70;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.GRASS				= 154;		-- €/ha DK: 154; Manitoba: 37;
	RN.growthDays.GRASS						= 60;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.GRASS					= RN.fieldWorkCost.GRASS;	-- no harvest

	RN.fruits.DRYGRASS  					= "DRYGRASS";
	RN.cropDensity.DRYGRASS 				= RN.growth.drygrassBaleDensity ; -- kg/L
	RN.cropYield.DRYGRASS  					= RN.growth.drygrassMassPerHa/100; 	  -- GEO DE,100 kg/ha
	RN.yieldRange.DRYGRASS  				= 0.153;	-- GEO DE
	RN.seedDensity.DRYGRASS  				= 0.31;	-- kg/L
	RN.TSM.DRYGRASS  						= 1.4;		-- 1000 seed mass
	RN.plantsPerSqm.DRYGRASS  				= 550;		-- number of plants per sqm
	RN.germination.DRYGRASS  				= 90;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.DRYGRASS 			= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown
	RN.seedPricePer100kg.DRYGRASS  			= 720.00;	-- GEO DE, price / 100 kg	DK: 720; Manitoba: 200
	RN.cropPricePer100kg.DRYGRASS  			= RN.forageCost.drygrassPricePer100kg;	-- GEO DE, price / 100 kg
	RN.seederCalibration.DRYGRASS  			= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.DRYGRASS					= 170;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.DRYGRASS					= 23;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.DRYGRASS					= 70;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.DRYGRASS			= 154;		-- €/ha DK: 154; Manitoba: 37;
	RN.growthDays.DRYGRASS					= 60;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.DRYGRASS				= RN.fieldWorkCost.GRASS;	-- no harvest

	RN.fruits.GRASS_DECO  					= "GRASS_DECO";
	RN.cropDensity.GRASS_DECO 				= RN.growth.grassBaleDensity;	-- kg/L
	RN.cropYield.GRASS_DECO  				= RN.growth.grassMassPerHa/100; 	-- GEO DE,100 kg/ha (165.8)
	RN.yieldRange.GRASS_DECO  				= 0.153;	-- GEO DE
	RN.seedDensity.GRASS_DECO  				= 0.31;	-- kg/L
	RN.TSM.GRASS_DECO  						= 1.4;		-- 1000 seed mass
	RN.plantsPerSqm.GRASS_DECO  			= 550;		-- number of plants per sqm
	RN.germination.GRASS_DECO  				= 90;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.GRASS_DECO 			= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown
	RN.seedPricePer100kg.GRASS_DECO  		= 720.00;	-- GEO DE, price / 100 kg	DK: 720; Manitoba: 200
	RN.cropPricePer100kg.GRASS_DECO  		= RN.forageCost.grassPricePer100kg; -- GEO DE, price / 100 kg (5.00)
	RN.seederCalibration.GRASS_DECO  		= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.GRASS_DECO					= 170;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.GRASS_DECO					= 23;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.GRASS_DECO					= 70;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.GRASS_DECO		= 154;		-- €/ha DK: 154; Manitoba: 37;
	RN.growthDays.GRASS_DECO				= 60;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.GRASS_DECO				= RN.fieldWorkCost.GRASS;	-- no harvest

	RN.fruits.SEMIDRY_GRASS_WINDROW  			= "SEMIDRY_GRASS_WINDROW";
	RN.cropDensity.SEMIDRY_GRASS_WINDROW 		= RN.growth.grassBaleDensity;		-- kg/L
	RN.cropYield.SEMIDRY_GRASS_WINDROW  		= RN.growth.grassMassPerHa/100; 	-- GEO DE,100 kg/ha
	RN.yieldRange.SEMIDRY_GRASS_WINDROW  		= 0.153;	-- GEO DE
	RN.seedDensity.SEMIDRY_GRASS_WINDROW  		= 0.31;	-- kg/L
	RN.TSM.SEMIDRY_GRASS_WINDROW  				= 1.4;		-- 1000 seed mass
	RN.plantsPerSqm.SEMIDRY_GRASS_WINDROW  		= 550;		-- number of plants per sqm
	RN.germination.SEMIDRY_GRASS_WINDROW  		= 90;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.SEMIDRY_GRASS_WINDROW 	= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown
	RN.seedPricePer100kg.SEMIDRY_GRASS_WINDROW  = 720.00;	-- GEO DE, price / 100 kg	DK: 720; Manitoba: 200
	RN.cropPricePer100kg.SEMIDRY_GRASS_WINDROW  = 8.00;		-- GEO DE, price / 100 kg
	RN.seederCalibration.SEMIDRY_GRASS_WINDROW  = 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.SEMIDRY_GRASS_WINDROW			= 170;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.SEMIDRY_GRASS_WINDROW			= 23;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.SEMIDRY_GRASS_WINDROW			= 70;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.SEMIDRY_GRASS_WINDROW	= 154;		-- €/ha DK: 154; Manitoba: 37;
	RN.growthDays.SEMIDRY_GRASS_WINDROW			= 60;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.SEMIDRY_GRASS_WINDROW		= RN.fieldWorkCost.GRASS;

	RN.fruits.CHAFF  							= "CHAFF";
	RN.cropDensity.CHAFF 						= 0.35;						-- kg/L
	RN.cropYield.CHAFF  						= RN.cropYield.MAIZE; 						-- GEO DE,100 kg/ha
	RN.yieldRange.CHAFF  						= RN.yieldRange.MAIZE;						-- GEO DE
	RN.seedDensity.CHAFF  						= RN.seedDensity.MAIZE;			-- kg/L
	RN.TSM.CHAFF  								= RN.TSM.MAIZE;					-- 1000 seed mass					Alberta: 380
	RN.plantsPerSqm.CHAFF  						= RN.plantsPerSqm.MAIZE;		-- number of plants per sqm			DK 6.5; ; Alberta: 6 (grain) 7.6 (silage)
	RN.germination.CHAFF  						= RN.germination.MAIZE;			-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.CHAFF 					= RN.seedUsagePerSqm.MAIZE;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown
	RN.seedPricePer100kg.CHAFF  				= RN.seedPricePer100kg.MAIZE;	-- GEO DK, price / 100 kg
	RN.cropPricePer100kg.CHAFF  				= RN.forageCost.grassPricePer100kg;	-- GEO DE, price / 100 kg	
	RN.seederCalibration.CHAFF  				= RN.seederCalibration.MAIZE;	-- If seeder calibration is wanted.
	RN.Nitrogen.CHAFF							= RN.Nitrogen.MAIZE;			-- kg/ha Nitrogen  (N) fertilizer per year	DK: 138; Ontario: 157
	RN.Phosphate.CHAFF							= RN.Phosphate.MAIZE;			-- kg/ha Phosphate (P) fertilizer per year	DK:  35; Ontario:  56
	RN.Potassium.CHAFF							= RN.Potassium.MAIZE;			-- kg/ha Potassium (K) fertilizer per year	DK: 185; Ontario:  28
	RN.cropProtectionCost.CHAFF					= RN.cropProtectionCost.MAIZE;		-- DK: 70; Ontario: 42;
	RN.growthDays.CHAFF							= RN.growthDays.MAIZE;			-- Real-life days from seeding to harvest or between cuts


	RN.fruits.FORAGE 							= "FORAGE";
	RN.cropDensity.FORAGE 						= RN.growth.grassBaleDensity;	-- kg/L
	RN.cropYield.FORAGE  						= RN.growth.grassMassPerHa/100; 	-- GEO DE,100 kg/ha (165.8)
	RN.yieldRange.FORAGE  						= 0.153;	-- GEO DE
	RN.seedDensity.FORAGE  						= 0.31;	-- kg/L
	RN.TSM.FORAGE  								= 1.4;		-- 1000 seed mass
	RN.plantsPerSqm.FORAGE  					= 550;		-- number of plants per sqm
	RN.germination.FORAGE  						= 90;		-- Percentage of seeds that germinate
	RN.seedUsagePerSqm.FORAGE 					= 0;		-- kg/sqm, Only defined if TSM, PlantsPerSqm and Germination are unknown
	RN.seedPricePer100kg.FORAGE  				= 720.00;	-- GEO DE, price / 100 kg	DK: 720; Manitoba: 200
	RN.cropPricePer100kg.FORAGE  				= RN.forageCost.grassPricePer100kg; -- GEO DE, price / 100 kg (5.00)
	RN.seederCalibration.FORAGE  				= 1.000;	-- If seeder calibration is wanted.
	RN.Nitrogen.FORAGE							= 170;		-- kg/ha Nitrogen  (N) fertilizer per year
	RN.Phosphate.FORAGE							= 23;		-- kg/ha Phosphate (P) fertilizer per year
	RN.Potassium.FORAGE							= 70;		-- kg/ha Potassium (K) fertilizer per year
	RN.cropProtectionCost.FORAGE				= 154;		-- €/ha DK: 154; Manitoba: 37;
	RN.growthDays.FORAGE						= 60;		-- Real-life days from seeding to harvest or between cuts
--	RN.fieldWorkCost.FORAGE						= RN.fieldWorkCost.FORAGE;	-- no harvest



-- Forage commodities

	RN.commodityName.DRYLUCERNE 					= "DRYLUCERNE";
	RN.commodityDensity.DRYLUCERNE 					= RN.cropDensity.DRYALFALFA;		-- kg/L
	RN.commodityPricePer100kg.DRYLUCERNE 			= RN.cropPricePer100kg.DRYALFALFA;	-- GEO COM, €-£-$/100 kg

	RN.commodityName.DRYLUCERNE_WINDROW 			= "DRYLUCERNE_WINDROW";
	RN.commodityDensity.DRYLUCERNE_WINDROW 			= RN.cropDensity.DRYALFALFA;		-- kg/L
	RN.commodityPricePer100kg.DRYLUCERNE_WINDROW 	= RN.cropPricePer100kg.DRYALFALFA;	-- GEO COM, €-£-$/100 kg

	RN.commodityName.LUCERNE_WINDROW 				= "LUCERNE_WINDROW";
	RN.commodityDensity.LUCERNE_WINDROW 			= RN.cropDensity.ALFALFA;		-- kg/L
	RN.commodityPricePer100kg.LUCERNE_WINDROW 		= RN.cropPricePer100kg.ALFALFA;	-- GEO FS19_RDC, €-£-$/100 kg

	RN.commodityName.DRYLUZERNE 					= "DRYLUZERNE";
	RN.commodityDensity.DRYLUZERNE 					= RN.cropDensity.DRYALFALFA;		-- kg/L
	RN.commodityPricePer100kg.DRYLUZERNE 			= RN.cropPricePer100kg.DRYALFALFA;	-- GEO COM, €-£-$/100 kg

	RN.commodityName.DRYLUZERNE_WINDROW 			= "DRYLUZERNE_WINDROW";
	RN.commodityDensity.DRYLUZERNE_WINDROW 			= RN.cropDensity.DRYALFALFA;		-- kg/L
	RN.commodityPricePer100kg.DRYLUZERNE_WINDROW 	= RN.cropPricePer100kg.DRYALFALFA;	-- GEO COM, €-£-$/100 kg

	RN.commodityName.LUZERNE_WINDROW 				= "LUZERNE_WINDROW";
	RN.commodityDensity.LUZERNE_WINDROW 			= RN.cropDensity.ALFALFA;		-- kg/L
	RN.commodityPricePer100kg.LUZERNE_WINDROW 		= RN.cropPricePer100kg.ALFALFA;	-- GEO FS19_RDC, €-£-$/100 kg
	
	RN.commodityName.SILAGE 						= "SILAGE";
	RN.commodityDensity.SILAGE 						= RN.forageDensity.SILAGE;	-- kg/L
	RN.commodityPricePer100kg.SILAGE 				= RN.forageCost.grassSilagePricePer100kg; -- GEO COM, €-£-$/100 kg

	RN.commodityName.MAIZESILAGE 					= "MAIZESILAGE";
	RN.commodityDensity.MAIZESILAGE 				= RN.forageDensity.SILAGE;		-- kg/L HOF Bergman 1.0.0.6
	RN.commodityPricePer100kg.MAIZESILAGE 			= RN.forageCost.grassSilagePricePer100kg;	-- GEO  HOF Bergman 1.0.0.6, €-£-$/100 kg

	RN.commodityName.CHAFF 							= "CHAFF";
	RN.commodityDensity.CHAFF 						= RN.forageDensity.SILAGE;	-- kg/L
	RN.commodityPricePer100kg.CHAFF 				= RN.forageCost.grassSilagePricePer100kg;	-- GEO COM, €-£-$/100 kg

	RN.commodityName.CHAFF_GRASS 					= "CHAFF_GRASS";
	RN.commodityDensity.CHAFF_GRASS 				= RN.forageDensity.SILAGE;	-- kg/L
	RN.commodityPricePer100kg.CHAFF_GRASS 			= RN.forageCost.grassSilagePricePer100kg;	-- GEO HOF Bergmann, €-£-$/100 kg

--BALES

	RN.commodityName.ROUNDBALE 						= "ROUNDBALE"; 				-- assumed to be silage
	RN.commodityDensity.ROUNDBALE 					= RN.forageDensity.SILAGE;	-- kg/L
	RN.commodityVolume.ROUNDBALE					= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE 			= RN.forageCost.grassSilagePricePer100kg;	-- GEO COM, €-£-$/100 kg 12.00

	RN.commodityName.ROUNDBALE_ALFALFA  			= "ROUNDBALE_ALFALFA";
	RN.commodityDensity.ROUNDBALE_ALFALFA  			= RN.forageDensity.ALFALFA;	-- kg/L
	RN.commodityVolume.ROUNDBALE_ALFALFA 			= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_ALFALFA  	= RN.forageCost.alfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.ROUNDBALE_DRYALFALFA 			= "ROUNDBALE_DRYALFALFA";
	RN.commodityDensity.ROUNDBALE_DRYALFALFA 		= RN.forageDensity.DRYALFALFA;-- kg/L
	RN.commodityVolume.ROUNDBALE_DRYALFALFA			= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_DRYALFALFA 	= RN.forageCost.dryalfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.ROUNDBALE_CLOVER 				= "ROUNDBALE_CLOVER";
	RN.commodityDensity.ROUNDBALE_CLOVER 			= RN.forageDensity.CLOVER;	-- kg/L
	RN.commodityVolume.ROUNDBALE_CLOVER				= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_CLOVER 		= RN.forageCost.cloverPricePer100kg;		-- GEO COM, €-£-$/100 kg 5.00

	RN.commodityName.ROUNDBALE_DRYCLOVER 			= "ROUNDBALE_DRYCLOVER";
	RN.commodityDensity.ROUNDBALE_DRYCLOVER 		= RN.forageDensity.DRYCLOVER;-- kg/L
	RN.commodityVolume.ROUNDBALE_DRYCLOVER			= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_DRYCLOVER 	= RN.forageCost.drycloverPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.ROUNDBALE_GRASS 				= "ROUNDBALE_GRASS"; -- not silage
	RN.commodityDensity.ROUNDBALE_GRASS 			= RN.forageDensity.GRASS;	-- kg/L
	RN.commodityVolume.ROUNDBALE_GRASS				= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_GRASS 		= RN.forageCost.grassPricePer100kg;		-- GEO COM, €-£-$/100 kg 5.00

	RN.commodityName.ROUNDBALE_DRYGRASS 			= "ROUNDBALE_DRYGRASS";
	RN.commodityDensity.ROUNDBALE_DRYGRASS 			= RN.forageDensity.DRYGRASS;-- kg/L
	RN.commodityVolume.ROUNDBALE_DRYGRASS			= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_DRYGRASS 	= RN.forageCost.drygrassPricePer100kg;	-- GEO COM, €-£-$/100 kg 12.00

	RN.commodityName.ROUNDBALE_FORAGE 				= "ROUNDBALE_FORAGE"; -- not silage
	RN.commodityDensity.ROUNDBALE_FORAGE 			= RN.forageDensity.GRASS;	-- kg/L
	RN.commodityVolume.ROUNDBALE_FORAGE				= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_FORAGE 		= RN.forageCost.grassPricePer100kg;		-- GEO COM, €-£-$/100 kg 5.00

	RN.commodityName.ROUNDBALE_LUCERNE 				= "ROUNDBALE_LUCERNE";
	RN.commodityDensity.ROUNDBALE_LUCERNE 			= RN.forageDensity.ALFALFA;	-- kg/L
	RN.commodityVolume.ROUNDBALE_LUCERNE			= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_LUCERNE 	= RN.forageCost.alfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.ROUNDBALE_DRYLUCERNE 			= "ROUNDBALE_DRYLUCERNE";
	RN.commodityDensity.ROUNDBALE_DRYLUCERNE 		= RN.forageDensity.DRYALFALFA;-- kg/L
	RN.commodityVolume.ROUNDBALE_DRYLUCERNE			= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_DRYLUCERNE 	= RN.forageCost.dryalfalfaPricePer100kg;	-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.ROUNDBALE_LUZERNE 				= "ROUNDBALE_LUZERNE";
	RN.commodityDensity.ROUNDBALE_LUZERNE 			= RN.forageDensity.ALFALFA;	-- kg/L
	RN.commodityVolume.ROUNDBALE_LUZERNE			= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_LUZERNE 	= RN.forageCost.alfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.ROUNDBALE_DRYLUZERNE 			= "ROUNDBALE_DRYLUZERNE";
	RN.commodityDensity.ROUNDBALE_DRYLUZERNE 		= RN.forageDensity.DRYALFALFA;-- kg/L
	RN.commodityVolume.ROUNDBALE_DRYLUZERNE			= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_DRYLUZERNE 	= RN.forageCost.dryalfalfaPricePer100kg;	-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.ROUNDBALE_RYE 					= "ROUNDBALE_RYE";
	RN.commodityDensity.ROUNDBALE_RYE 				= RN.forageDensity.STRAW;	-- kg/L
	RN.commodityVolume.ROUNDBALE_RYE				= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_RYE 		= RN.forageCost.strawPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.ROUNDBALE_WHEAT 				= "ROUNDBALE_WHEAT";
	RN.commodityDensity.ROUNDBALE_WHEAT 			= RN.forageDensity.STRAW;	-- kg/L
	RN.commodityVolume.ROUNDBALE_WHEAT				= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_WHEAT 		= RN.forageCost.strawPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.ROUNDBALE_BARLEY 				= "ROUNDBALE_BARLEY";
	RN.commodityDensity.ROUNDBALE_BARLEY 			= RN.forageDensity.STRAW;	-- kg/L
	RN.commodityVolume.ROUNDBALE_BARLEY				= RN.roundBale.volume;		-- L width="1.12" diameter="1.3"
	RN.commodityPricePer100kg.ROUNDBALE_BARLEY 		= RN.forageCost.strawPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE 					= "SQUAREBALE";				-- Assumed silage
	RN.commodityDensity.SQUAREBALE 					= RN.forageDensity.SILAGE;-- kg/L
	RN.commodityVolume.SQUAREBALE					= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE 			= RN.forageCost.grassSilagePricePer100kg;	-- GEO COM, €-£-$/100 kg 12.00

	RN.commodityName.SQUAREBALE_ALFALFA 			= "SQUAREBALE_ALFALFA";
	RN.commodityDensity.SQUAREBALE_ALFALFA 			= RN.forageDensity.ALFALFA;	-- kg/L
	RN.commodityVolume.SQUAREBALE_ALFALFA			= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_ALFALFA 	= RN.forageCost.alfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_DRYALFALFA 			= "SQUAREBALE_DRYALFALFA";
	RN.commodityDensity.SQUAREBALE_DRYALFALFA 		= RN.forageDensity.DRYALFALFA;-- kg/L
	RN.commodityVolume.SQUAREBALE_DRYALFALFA		= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_DRYALFALFA = RN.forageCost.dryalfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_BARLEY 				= "SQUAREBALE_BARLEY";
	RN.commodityDensity.SQUAREBALE_BARLEY 			= RN.forageDensity.STRAW;	-- kg/L
	RN.commodityVolume.SQUAREBALE_BARLEY			= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_BARLEY 	= RN.forageCost.strawPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_CLOVER 				= "SQUAREBALE_CLOVER";
	RN.commodityDensity.SQUAREBALE_CLOVER 			= RN.forageDensity.CLOVER;	-- kg/L
	RN.commodityVolume.SQUAREBALE_CLOVER			= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_CLOVER 	= RN.forageCost.cloverPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_DRYCLOVER 			= "SQUAREBALE_DRYCLOVER";
	RN.commodityDensity.SQUAREBALE_DRYCLOVER 		= RN.forageDensity.DRYCLOVER;-- kg/L
	RN.commodityVolume.SQUAREBALE_DRYCLOVER			= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_DRYCLOVER 	= RN.forageCost.drycloverPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_GRASS 				= "SQUAREBALE_GRASS";
	RN.commodityDensity.SQUAREBALE_GRASS 			= RN.forageDensity.GRASS;	-- kg/L
	RN.commodityVolume.SQUAREBALE_GRASS				= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_GRASS 		= RN.forageCost.grassPricePer100kg;		-- GEO COM, €-£-$/100 kg 5.00

	RN.commodityName.SQUAREBALE_DRYGRASS 			= "squareBale_DRYGRASS";
	RN.commodityDensity.SQUAREBALE_DRYGRASS 		= RN.forageDensity.DRYGRASS;-- kg/L
	RN.commodityVolume.SQUAREBALE_DRYGRASS			= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_DRYGRASS 	= RN.forageCost.drygrassPricePer100kg;	-- GEO COM, €-£-$/100 kg 12.00

	RN.commodityName.SQUAREBALE_LUCERNE 			= "SQUAREBALE_LUCERNE";
	RN.commodityDensity.SQUAREBALE_LUCERNE 			= RN.forageDensity.ALFALFA;	-- kg/L
	RN.commodityVolume.SQUAREBALE_LUCERNE			= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_LUCERNE 	= RN.forageCost.alfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_DRYLUCERNE 			= "SQUAREBALE_DRYLUCERNE";
	RN.commodityDensity.SQUAREBALE_DRYLUCERNE 		= RN.forageDensity.DRYALFALFA;-- kg/L
	RN.commodityVolume.SQUAREBALE_DRYLUCERNE		= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_DRYLUCERNE = RN.forageCost.dryalfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_LUZERNE 			= "SQUAREBALE_LUZERNE";
	RN.commodityDensity.SQUAREBALE_LUZERNE 			= RN.forageDensity.ALFALFA;	-- kg/L
	RN.commodityVolume.SQUAREBALE_LUZERNE			= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_LUZERNE 	= RN.forageCost.alfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_DRYLUZERNE 			= "SQUAREBALE_DRYLUZERNE";
	RN.commodityDensity.SQUAREBALE_DRYLUZERNE 		= RN.forageDensity.DRYALFALFA;-- kg/L
	RN.commodityVolume.SQUAREBALE_DRYLUZERNE		= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_DRYLUZERNE = RN.forageCost.dryalfalfaPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_RYE 				= "SQUAREBALE_RYE";
	RN.commodityDensity.SQUAREBALE_RYE 				= RN.forageDensity.STRAW;	-- kg/L
	RN.commodityVolume.SQUAREBALE_RYE				= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_RYE 		= RN.forageCost.strawPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_SILAGE 				= "SQUAREBALE_SILAGE";
	RN.commodityDensity.SQUAREBALE_SILAGE 			= RN.forageDensity.SILAGE;	-- kg/L
	RN.commodityVolume.SQUAREBALE_SILAGE			= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_SILAGE 	= RN.forageCost.grassSilagePricePer100kg;		-- GEO COM, €-£-$/100 kg 12.0

	RN.commodityName.SQUAREBALE_WHEAT 				= "SQUAREBALE_WHEAT";
	RN.commodityDensity.SQUAREBALE_WHEAT 			= RN.forageDensity.STRAW;	-- kg/L
	RN.commodityVolume.SQUAREBALE_WHEAT				= RN.squareBale.volume;		-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_WHEAT 		= RN.forageCost.strawPricePer100kg;		-- GEO COM, €-£-$/100 kg 7.80

	RN.commodityName.SQUAREBALE_COTTON 				= "SQUAREBALE_COTTON";
	RN.commodityDensity.SQUAREBALE_COTTON 			= 0.10;						-- kg/L
	RN.commodityVolume.SQUAREBALE_COTTON			= 20000;					-- L width="1.20" height="0.90" length="2.40"
	RN.commodityPricePer100kg.SQUAREBALE_COTTON 	= 155;		-- GEO COM, €-£-$/100 kg 


-- Pellets

	RN.commodityName.STRAWPELLETS 					= "STRAWPELLETS";
	RN.commodityDensity.STRAWPELLETS 				= 0.75;	-- kg/L
	RN.commodityPricePer100kg.STRAWPELLETS 			= RN.commodityPricePer100kg.SQUAREBALE_WHEAT;		-- GEO COM, €-£-$/100 kg 12.0

	RN.commodityName.HAYPELLETS 					= "HAYPELLETS";
	RN.commodityDensity.HAYPELLETS 					= 0.80;	-- kg/L
	RN.commodityPricePer100kg.HAYPELLETS 			= RN.commodityPricePer100kg.SQUAREBALE_DRYGRASS;		-- GEO COM, €-£-$/100 kg 12.0


	iFillType = g_fillTypeManager:getFillTypeIndexByName("SILAGE");
	g_currentMission.fillTypeManager.fillTypes[iFillType].massPerLiter = RN.growth.grassSilageBaleDensity/massScale;
	g_currentMission.fillTypeManager.fillTypes[iFillType].pricePerLiter = RN.forageCost.grassSilageRoundBalePrice/RN.growth.grassSilageRoundBaleVolume;
	g_currentMission.fillTypeManager.fillTypes[iFillType].previousHourPrice = RN.forageCost.grassSilageRoundBalePrice/RN.growth.grassSilageRoundBaleVolume;
	g_currentMission.fillTypeManager.fillTypes[iFillType].startPricePerLiter = RN.forageCost.grassSilageRoundBalePrice/RN.growth.grassSilageRoundBaleVolume;		



end;

function RealNumbersForageCrops:keyEvent(unicode, sym, modifier, isDown)
end;

function RealNumbersForageCrops:update(dt)
end;
function RealNumbersForageCrops:draw()
end;
function RealNumbersForageCrops:deleteMap()
end;
function RealNumbersForageCrops:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersForageCrops);